package com.usky.backend.domain.request;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Map;

@Data
@EqualsAndHashCode(callSuper = false)
public class DeviceDataInfoVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 设备编号
     */
    private String deviceId;

    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 设备简称
     */
    private String typeAbbrevia;

    /**
     * 属性名称
     */
    private String name;

    /**
     * 属性值
     */
    private float value;

    /**
     * 数据上报时间
     */
    private LocalDateTime timestamp;
}
